Page MenuHomePhabricator

Tapping the "picture of the day" card should launch Gallery, loaded with previous pictures-of-the-day.
Closed, ResolvedPublic3 Story Points

Description

As a user, when I tap the "picture of the day" card, I would like to see a full-screen gallery with the full size version of the picture. When I swipe through the gallery, I'd like to see the previous X days' worth of featured pictures.

Event Timeline

Dbrant created this task.Apr 15 2016, 7:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 7:00 PM
MBinder_WMF set the point value for this task to 3.May 13 2016, 6:15 PM

I've got a WIP patch up for the gallery viewing piece, but there's one thing that needs discussion, namely, that the gallery logging assumes we're in the context of viewing a page. This isn't the case when launched from the feed. How should we handle the feed case for EventLogging purposes?

Change 297984 had a related patch set uploaded (by Mholloway):
WIP: Featured image card: open image in gallery when clicked

https://gerrit.wikimedia.org/r/297984

@Dbrant what do you say to updating https://meta.wikimedia.org/wiki/Schema:MobileWikiAppMediaGallery to make required: false for the pageTitle field?

@Mholloway I think we can get away with keeping the current schema structure, and sending a "constant" pageTitle with the event, while making sure to set the "source" parameter to something new.

Change 297984 merged by jenkins-bot:
Featured image card: open image in gallery when clicked

https://gerrit.wikimedia.org/r/297984

QA Instructions!

Please ensure that tapping the picture on the "Picture of the day" card opens the image in the gallery, and that all expected fields (description, creator name, license icon) are present just as when the gallery is opened in an article.

Tested on Android 6.0.1 phone (Samsung Galaxy Express 3)(6.0 Marshmallow) and latest Wikipedia 2.2.147-alpha-2016-07-14 app build. This is fixed as Picture of the day opens in the image gallery when tapped, and swiping through the gallery shows previous "Picture of the day"s from earlier in the week.

Dbrant closed this task as Resolved.Jul 15 2016, 5:05 PM